#
# spec file for package bcache-tools
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bcache-tools
Summary:        Configuration utilities for bcache
License:        GPL-2.0
Group:          System/Base
Version:        1.0.9
Release:        lp151.2.3.1
Url:            http://bcache.evilpiepirate.org/

#Git-Clone:	http://evilpiepirate.org/git/bcache-tools.git
Source:         %name-%version.tar.xz
Patch1:		0001-bcache-tools-Allow-user-to-set-label-for-device.patch
Patch2:		0002-bcache-tools-Add-label-field.patch
Patch3:		0003-bcache-tools-Add-parameter-check.patch
Patch4:		0004-bcache-tools-Bcache-command-should-follow-symlinks.patch
Patch5:		0005-bcache-tools-Add-blkdiscard-for-cache-dev.patch
Patch6:		0006-make-bcache-remove-reduncant-code.patch
Patch7:		0007-bcache-tools-rename-2-file-names.patch
Patch8:		0008-crc64-use-crc64-routines-defined-in-Linux-kernel.patch
Patch9:		0009-bitwise.h-swap-bitwise-for-different-CPU-endians.patch
Patch10:	0010-make.c-add-swap_sb-to-supprt-big-endian-machine.patch
Patch1001:	1001-udev-do-not-rely-on-DRIVER-variable.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libblkid-devel
BuildRequires:  libuuid-devel
BuildRequires:  libsmartcols-devel
BuildRequires:  pkg-config
BuildRequires:  xz
%description
This package contains utilities for configuring the bcache Module.

%prep
%setup -qn %name
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch1001 -p1

%build
export SUSE_ASNEEDED=0
make all CFLAGS="%optflags $(pkg-config blkid uuid smartcols --cflags) -std=gnu99" \
	LDFLAGS="$(pkg-config blkid uuid smartcols --libs)" %{?_smp_mflags}

%install
b="%buildroot"
# Without these existing, make install would fail
mkdir -p "$b"/{sbin,%_sbindir,%_mandir/man8,/lib/udev/rules.d}
mkdir -p "$b/%_sysconfdir/initramfs-tools/scripts/init-premount"
mkdir -p "$b/%_sysconfdir/initramfs-tools/hooks"
make install DESTDIR="$b" DRACUTLIBDIR="%_libexecdir/dracut"
# Not used in openSUSE
rm -Rf "$b/%_sysconfdir/initramfs-tools" "$b/%_prefix/lib/initcpio" \
	"$b/%_datadir/initramfs-tools"
mkdir -p "$b/%_prefix/lib"
mv "$b/lib/udev" "$b/%_prefix/lib/"

%files
%defattr(-,root,root)
%_sbindir/bcache-super-show
%_sbindir/make-bcache
%_sbindir/bcache
%_prefix/lib/udev
%_libexecdir/dracut/
%_mandir/man8/*.8*
%doc COPYING

%changelog
* Tue Mar  3 2020 Coly Li <colyli@suse.com>
- bcache-tools: Allow user to set label for device (bsc#1139948)
  0001-bcache-tools-Allow-user-to-set-label-for-device.patch
- bcache-tools: Add 'label' field (bsc#1139948)
  0002-bcache-tools-Add-label-field.patch
- bcache-tools: Add parameter check (bsc#1139948)
  0003-bcache-tools-Add-parameter-check.patch
- bcache-tools: Bcache command should follow symlinks (bsc#1139948)
  0004-bcache-tools-Bcache-command-should-follow-symlinks.patch
- bcache-tools: Add blkdiscard for cache dev (bsc#1139948)
  0005-bcache-tools-Add-blkdiscard-for-cache-dev.patch
- make-bcache: remove reduncant code (bsc#1139948)
  0006-make-bcache-remove-reduncant-code.patch
- bcache-tools: rename 2 file names (bsc#1139948)
  0007-bcache-tools-rename-2-file-names.patch
- crc64: use crc64 routines defined in Linux kernel (bsc#1139948)
  0008-crc64-use-crc64-routines-defined-in-Linux-kernel.patch
- bitwise.h: swap bitwise for different CPU endians (bsc#1139948)
  0009-bitwise.h-swap-bitwise-for-different-CPU-endians.patch
- make.c: add swap_sb() to supprt big endian machine (bsc#1139948)
  0010-make.c-add-swap_sb-to-supprt-big-endian-machine.patch
- udev: do not rely on DRIVER variable (bsc#1139948)
  1001-udev-do-not-rely-on-DRIVER-variable.patch
* Fri Sep 14 2018 colyli@suse.com
- Update bcache-tools to 1.0.9, this is required by yast2 bcache module
  development. In this version a new program named "bcache" is added,
  by this program people may avoid many operations on sysfs entries.
  (bsc#1109460)
- Remove the following patche since it is in upstream,
  - 0001-build-remove-inline-keyword-from-crc64.patch
- Rename prefix of another patch from 0001- to 1001- to indicate this
  is specific patch for SUSE,
  - 1001-udev-do-not-rely-on-DRIVER-variable.patch
* Fri Mar 27 2015 jengelh@inai.de
- Update to new upstream release 1.0.8
  * bcache-register is now a C program
- Add 0001-udev-do-not-rely-on-DRIVER-variable.patch to entirely
  disable /dev/bcache symlinks for now, rather than have it
  half-working [bnc#880858]
* Mon Aug 18 2014 meissner@suse.com
- removed unnecessary openssl-devel buildrequires
* Fri Apr  4 2014 jengelh@inai.de
- Update to new upstream release 0.9
  * Run probe-bcache a little later in the udev rule sequence
  (moving from position 61 to 69), fixing a machine hang on
  bcache reassemble (bnc#868938)
- Add 0001-build-remove-inline-keyword-from-crc64.patch, this is
  a build fix.
* Wed Mar 19 2014 oneukum@suse.com
- Move bcache rule from position 61 to position 74
  (bnc#868938)
* Wed Aug  7 2013 jengelh@inai.de
- Update to new snapshot 0.1.g71
  * Support for superblocks up to version 4
* Wed Jun 26 2013 jengelh@inai.de
- Move udev rules to /usr/lib/udev/rules.d
* Tue Feb 26 2013 jengelh@inai.de
- Update to new current snapshot
  42c182c6ab1530b5e3b18893f284da3eaec46e74 (0.1.g45)
* Mon Feb 21 2011 ro@suse.de
- create package
